Loading...
Searching...
No Matches
AVIAMFDemixingInfo Struct Reference
libavutil » Audio related » Immersive Audio Model and Formats » Parameter Definition

Demixing Info Parameter Data as defined in section 3.8.2 of IAMF. More...

`#include <libavutil/iamf.h>`

## Data Fields

const AVClass * | av_class
unsigned int | subblock_duration
| Duration for the given subblock, in units of 1 / parameter_rate.
unsigned int | dmixp_mode
| Pre-defined combination of demixing parameters.

## Detailed Description

Demixing Info Parameter Data as defined in section 3.8.2 of IAMF.

Note
  This struct's size is not a part of the public ABI.

Definition at line 128 of file iamf.h.

## Field Documentation

## av_class

const AVClass* AVIAMFDemixingInfo::av_class

Definition at line 129 of file iamf.h.

## subblock_duration

unsigned int AVIAMFDemixingInfo::subblock_duration

Duration for the given subblock, in units of 1 / parameter_rate.

It must not be 0.

Definition at line 136 of file iamf.h.

## dmixp_mode

unsigned int AVIAMFDemixingInfo::dmixp_mode

Pre-defined combination of demixing parameters.

Definition at line 140 of file iamf.h.

The documentation for this struct was generated from the following file:

- libavutil/iamf.h